org.apache.maven.scm.provider.cvslib

## Class AbstractCvsScmProvider.ScmUrlParserResult

- java.lang.Object
- - org.apache.maven.scm.provider.cvslib.AbstractCvsScmProvider.ScmUrlParserResult

- Enclosing class:
    AbstractCvsScmProvider

      public static class AbstractCvsScmProvider.ScmUrlParserResult
      extends Object

  The current ScmUrlParserResult
  Since:
    1.1.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCvsScmProvider.ScmUrlParserResult()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getMessages()`
    `ScmProviderRepository` | `getRepository()`
    `void` | `resetMessages()` Reset messages.
    `void` | `setMessages(List messages)`
    `void` | `setRepository(ScmProviderRepository repository)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCvsScmProvider.ScmUrlParserResult

          public AbstractCvsScmProvider.ScmUrlParserResult()

  - ### Method Detail

    - #### getMessages

          public List getMessages()

      Returns:
        the messages

    - #### setMessages

          public void setMessages(List messages)

      Parameters:
        `messages` - the messages to set

    - #### getRepository

          public ScmProviderRepository getRepository()

      Returns:
        the repository

    - #### setRepository

          public void setRepository(ScmProviderRepository repository)

      Parameters:
        `repository` - the repository to set

    - #### resetMessages

          public void resetMessages()

      Reset messages.

Copyright © 2003–2015. All rights reserved.